Loading...
Searching...
No Matches
caf::stream_buffer< CharT, Traits > Class Template Reference

The base class for all stream buffer implementations. More...

`#include <streambuf.hpp>`

Inheritance diagram for caf::stream_buffer< CharT, Traits >:

## Public Types

using | base = std::basic_streambuf<CharT, Traits>
using | pos_type = typename base::pos_type
using | off_type = typename base::off_type

## Protected Member Functions

template<class T = int>
std::enable_if< sizeof(T)==4 >::type | safe_pbump (std::streamsize n)
| The standard only defines pbump(int), which can overflow on 64-bit architectures.
template<class T = int>
std::enable_if< sizeof(T)==8 >::type | safe_pbump (std::streamsize n)
template<class T = int>
std::enable_if< sizeof(T)==4 >::type | safe_gbump (std::streamsize n)
template<class T = int>
std::enable_if< sizeof(T)==8 >::type | safe_gbump (std::streamsize n)
pos_type | default_seekoff (off_type off, std::ios_base::seekdir dir, std::ios_base::openmode which)
pos_type | default_seekpos (pos_type pos, std::ios_base::openmode which)

## Detailed Description

template<class CharT = char, class Traits = std::char_traits<CharT>>
class caf::stream_buffer< CharT, Traits >

The base class for all stream buffer implementations.

## Member Function Documentation

## safe_pbump()

template<class CharT = char, class Traits = std::char_traits<CharT>>
template<class T = int>

std::enable_if< sizeof(T)==4 >::type caf::stream_buffer< CharT, Traits >::safe_pbump | ( | std::streamsize | n | ) |

protected

The standard only defines pbump(int), which can overflow on 64-bit architectures.

All stream buffer implementations should therefore use these function instead. For a detailed discussion, see: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=47921

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/streambuf.hpp